use P4::test;
use P4::TM { DATA_DIR => 'self' };
use File::Copy;

# todo: record client and sync state etc.  add 'p4 bisect status' to show per-client outstanding bisections

copy "$script_abspath.53.lua", 'p4script.53.lua';

tm `p4 bisect`;

$ENV{ P4EXTENSIONS } = 'p4script';

tm `p4 bisect`;
tm `p4 bisect start`;
tm `p4 bisect bad`;
tm `p4 bisect reset`;

tm `p4 bisect zoop`;

__DATA__
[[9,13,14,15,16,18],
[
  'p4 bisect',
  'Unknown command.  Try \'p4 help\' for info.
',
  1,
  'p4 bisect',
  'Client Extension message (/*/p4script.53.lua): this is p4 bisect
',
  0,
  'p4 bisect start',
  'Client Extension message (/*/p4script.53.lua): bisect starting
',
  0,
  'p4 bisect bad',
  'Client Extension message (/*/p4script.53.lua): bisect bad
',
  0,
  'p4 bisect reset',
  'Client Extension message (/*/p4script.53.lua): bisect reset
',
  0,
  'p4 bisect zoop',
  '
Client Extension message (/*/p4script.53.lua): bisect bad argument
Command rejected in \'preCommand\' by client Extension (/*/p4script.53.lua).
',
  1
]
]
